org.apache.cassandra.cli

## Class CliCompiler

- java.lang.Object
- - org.apache.cassandra.cli.CliCompiler

    public class CliCompiler
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `CliCompiler.ANTLRNoCaseStringStream`

### Constructor Summary

Constructors
Constructor and Description
`CliCompiler()`

### Method Summary

Methods
`static org.antlr.runtime.tree.Tree` `compileQuery(java.lang.String query)`
`static java.lang.String` `getColumn(org.antlr.runtime.tree.Tree astNode, int pos)`
`static java.lang.String` `getColumnFamily(java.lang.String cfName, java.lang.Iterable<CfDef> cfDefs)`
`static java.lang.String` `getColumnFamily(org.antlr.runtime.tree.Tree astNode, java.lang.Iterable<CfDef> cfDefs)`
`static java.lang.String` `getKey(org.antlr.runtime.tree.Tree astNode)`
`static java.lang.String` `getKeySpace(java.lang.String ksName, java.util.List<KsDef> keyspaces)`
`static java.lang.String` `getKeySpace(org.antlr.runtime.tree.Tree statement, java.util.List<KsDef> keyspaces)`
`static int` `numColumnSpecifiers(org.antlr.runtime.tree.Tree astNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CliCompiler

    public CliCompiler()

### Method Detail

#### compileQuery

    public static org.antlr.runtime.tree.Tree compileQuery(java.lang.String query)

#### getColumnFamily

    public static java.lang.String getColumnFamily(org.antlr.runtime.tree.Tree astNode,
                                   java.lang.Iterable<CfDef> cfDefs)

#### getColumnFamily

    public static java.lang.String getColumnFamily(java.lang.String cfName,
                                   java.lang.Iterable<CfDef> cfDefs)

#### getKeySpace

    public static java.lang.String getKeySpace(org.antlr.runtime.tree.Tree statement,
                               java.util.List<KsDef> keyspaces)

#### getKeySpace

    public static java.lang.String getKeySpace(java.lang.String ksName,
                               java.util.List<KsDef> keyspaces)

#### getKey

    public static java.lang.String getKey(org.antlr.runtime.tree.Tree astNode)

#### numColumnSpecifiers

    public static int numColumnSpecifiers(org.antlr.runtime.tree.Tree astNode)

#### getColumn

    public static java.lang.String getColumn(org.antlr.runtime.tree.Tree astNode,
                             int pos)